curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/lqa/profiles/{profileUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/lqa/profiles/{profileUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/lqa/profiles/{profileUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"errorCategories": {
"accuracy": {
"accuracy": {
"code": 123,
"enabled": true,
"weight": 1
},
"addition": {
"code": 123,
"enabled": true,
"weight": 1
},
"improperTmMatch": {
"code": 123,
"enabled": true,
"weight": 1
},
"mistranslation": {
"code": 123,
"enabled": true,
"weight": 1
},
"omission": {
"code": 123,
"enabled": true,
"weight": 1
},
"overTranslation": {
"code": 123,
"enabled": true,
"weight": 1
},
"underTranslation": {
"code": 123,
"enabled": true,
"weight": 1
},
"untranslated": {
"code": 123,
"enabled": true,
"weight": 1
}
},
"design": {
"design": {
"code": 123,
"enabled": true,
"weight": 1
},
"length": {
"code": 123,
"enabled": true,
"weight": 1
},
"localFormatting": {
"code": 123,
"enabled": true,
"weight": 1
},
"markup": {
"code": 123,
"enabled": true,
"weight": 1
},
"missingText": {
"code": 123,
"enabled": true,
"weight": 1
},
"truncation": {
"code": 123,
"enabled": true,
"weight": 1
}
},
"fluency": {
"characterEncoding": {
"code": 123,
"enabled": true,
"weight": 1
},
"crossReference": {
"code": 123,
"enabled": true,
"weight": 1
},
"fluency": {
"code": 123,
"enabled": true,
"weight": 1
},
"grammar": {
"code": 123,
"enabled": true,
"weight": 1
},
"grammaticalRegister": {
"code": 123,
"enabled": true,
"weight": 1
},
"inconsistency": {
"code": 123,
"enabled": true,
"weight": 1
},
"punctuation": {
"code": 123,
"enabled": true,
"weight": 1
},
"spelling": {
"code": 123,
"enabled": true,
"weight": 1
}
},
"localeConvention": {
"addressFormat": {
"code": 123,
"enabled": true,
"weight": 1
},
"currencyFormat": {
"code": 123,
"enabled": true,
"weight": 1
},
"dateFormat": {
"code": 123,
"enabled": true,
"weight": 1
},
"localeConvention": {
"code": 123,
"enabled": true,
"weight": 1
},
"measurementFormat": {
"code": 123,
"enabled": true,
"weight": 1
},
"shortcutKey": {
"code": 123,
"enabled": true,
"weight": 1
},
"telephoneFormat": {
"code": 123,
"enabled": true,
"weight": 1
}
},
"other": {
"other": {
"code": 123,
"enabled": true,
"weight": 1
}
},
"style": {
"awkward": {
"code": 123,
"enabled": true,
"weight": 1
},
"companyStyle": {
"code": 123,
"enabled": true,
"weight": 1
},
"inconsistentStyle": {
"code": 123,
"enabled": true,
"weight": 1
},
"style": {
"code": 123,
"enabled": true,
"weight": 1
},
"thirdPartyStyle": {
"code": 123,
"enabled": true,
"weight": 1
},
"unidiomatic": {
"code": 123,
"enabled": true,
"weight": 1
}
},
"terminology": {
"inconsistentUseOfTerminology": {
"code": 123,
"enabled": true,
"weight": 1
},
"inconsistentWithTb": {
"code": 123,
"enabled": true,
"weight": 1
},
"terminology": {
"code": 123,
"enabled": true,
"weight": 1
}
},
"verity": {
"cultureSpecificReference": {
"code": 123,
"enabled": true,
"weight": 1
},
"verity": {
"code": 123,
"enabled": true,
"weight": 1
}
}
},
"isDefault": true,
"name": "<string>",
"organization": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"passFailThreshold": {
"minScorePercentage": 99
},
"penaltyPoints": {
"critical": {
"code": 123,
"value": 123
},
"major": {
"code": 123,
"value": 123
},
"minor": {
"code": 123,
"value": 123
},
"neutral": {
"code": 123,
"value": 123
}
},
"uid": "string"
}Get LQA profile details
Requires LQA to be enabled for the organization. Accessible to users with internal role or projectCreate access right.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the LQA profile
Response
OK
Show child attributes
Show child attributes
Date and time when the profile was created
Error categories and their importance weight. If not provided, defaults will be created.
Show child attributes
Show child attributes
If profile is set as default for organization
Name of the profile
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Penalty points for each severity level. By default neutral is 0, minor is 1, major is 5, critical is 10.
Show child attributes
Show child attributes
UID of the profile
"string"
Was this page helpful?